Loading...
Searching...
No Matches
bsoncxx::v_noabi::types Namespace Reference

## Description

Declares entities representing BSON value types.

See also
  - bsoncxx::v_noabi::types::bson_value

## Namespaces

namespace | bson_value
| Declares entities representing any BSON value type.

## Classes

struct | b_array
| A BSON array value. More...
struct | b_binary
| A BSON binary data value. More...
struct | b_bool
| A BSON boolean value. More...
struct | b_code
| A BSON JavaScript code value. More...
struct | b_codewscope
| A BSON JavaScript code with scope value. More...
struct | b_date
| A BSON date value. More...
struct | b_dbpointer
| A BSON DBPointer (aka DBRef) value. More...
struct | b_decimal128
| A BSON Decimal128 value. More...
struct | b_document
| A BSON document value. More...
struct | b_double
| A BSON double value. More...
struct | b_int32
| A BSON signed 32-bit integer value. More...
struct | b_int64
| A BSON 64-bit signed integer value. More...
struct | b_maxkey
| A BSON max-key value. More...
struct | b_minkey
| A BSON min-key value. More...
struct | b_null
| A BSON null value. More...
struct | b_oid
| A BSON ObjectId value. More...
struct | b_regex
| A BSON regex value. More...
struct | b_string
| A BSON UTF-8 encoded string value. More...
struct | b_symbol
| A BSON Symbol value. More...
struct | b_timestamp
| A BSON replication timestamp value. More...
struct | b_undefined
| A BSON undefined value. More...

## Typedefs

using | binary_subtype = v_noabi::binary_sub_type
| Equivalent to bsoncxx::v_noabi::binary_sub_type.
using | id = v_noabi::type
| Equivalent to bsoncxx::v_noabi::type.
using | value = bson_value::value
| Equivalent to bsoncxx::v_noabi::types::bson_value::value.
using | view = v_noabi::types::bson_value::view
| Equivalent to bsoncxx::v_noabi::types::bson_value::view.

## Functions

bool | operator!= (b_array const &lhs, b_array const &rhs)
| free function comparator for b_array
bool | operator!= (b_binary const &lhs, b_binary const &rhs)
| free function comparator for b_binary
bool | operator!= (b_bool const &lhs, b_bool const &rhs)
| free function comparator for b_bool
bool | operator!= (b_code const &lhs, b_code const &rhs)
| free function comparator for b_code
bool | operator!= (b_codewscope const &lhs, b_codewscope const &rhs)
| free function comparator for b_codewscope
bool | operator!= (b_date const &lhs, b_date const &rhs)
| free function comparator for b_date
bool | operator!= (b_dbpointer const &lhs, b_dbpointer const &rhs)
| free function comparator for b_dbpointer
bool | operator!= (b_decimal128 const &lhs, b_decimal128 const &rhs)
| free function comparator for b_decimal128
bool | operator!= (b_document const &lhs, b_document const &rhs)
| free function comparator for b_document
bool | operator!= (b_double const &lhs, b_double const &rhs)
| free function comparator for b_double
bool | operator!= (b_int32 const &lhs, b_int32 const &rhs)
| free function comparator for b_int32
bool | operator!= (b_int64 const &lhs, b_int64 const &rhs)
| free function comparator for b_int64
bool | operator!= (b_maxkey const &lhs, b_maxkey const &rhs)
| free function comparator for b_maxkey
bool | operator!= (b_minkey const &lhs, b_minkey const &rhs)
| free function comparator for b_minkey
bool | operator!= (b_null const &lhs, b_null const &rhs)
| free function comparator for b_null
bool | operator!= (b_oid const &lhs, b_oid const &rhs)
| free function comparator for b_oid
bool | operator!= (b_regex const &lhs, b_regex const &rhs)
| free function comparator for b_regex
bool | operator!= (b_string const &lhs, b_string const &rhs)
| free function comparator for b_string
bool | operator!= (b_symbol const &lhs, b_symbol const &rhs)
| free function comparator for b_symbol
bool | operator!= (b_timestamp const &lhs, b_timestamp const &rhs)
| free function comparator for b_timestamp
bool | operator!= (b_undefined const &lhs, b_undefined const &rhs)
| free function comparator for b_undefined
bool | operator!= (b_array const &lhs, b_array const &rhs)
| free function comparator for b_array
bool | operator!= (b_binary const &lhs, b_binary const &rhs)
| free function comparator for b_binary
bool | operator!= (b_bool const &lhs, b_bool const &rhs)
| free function comparator for b_bool
bool | operator!= (b_code const &lhs, b_code const &rhs)
| free function comparator for b_code
bool | operator!= (b_codewscope const &lhs, b_codewscope const &rhs)
| free function comparator for b_codewscope
bool | operator!= (b_date const &lhs, b_date const &rhs)
| free function comparator for b_date
bool | operator!= (b_dbpointer const &lhs, b_dbpointer const &rhs)
| free function comparator for b_dbpointer
bool | operator!= (b_decimal128 const &lhs, b_decimal128 const &rhs)
| free function comparator for b_decimal128
bool | operator!= (b_document const &lhs, b_document const &rhs)
| free function comparator for b_document
bool | operator!= (b_double const &lhs, b_double const &rhs)
| free function comparator for b_double
bool | operator!= (b_int32 const &lhs, b_int32 const &rhs)
| free function comparator for b_int32
bool | operator!= (b_int64 const &lhs, b_int64 const &rhs)
| free function comparator for b_int64
bool | operator!= (b_maxkey const &lhs, b_maxkey const &rhs)
| free function comparator for b_maxkey
bool | operator!= (b_minkey const &lhs, b_minkey const &rhs)
| free function comparator for b_minkey
bool | operator!= (b_null const &lhs, b_null const &rhs)
| free function comparator for b_null
bool | operator!= (b_oid const &lhs, b_oid const &rhs)
| free function comparator for b_oid
bool | operator!= (b_regex const &lhs, b_regex const &rhs)
| free function comparator for b_regex
bool | operator!= (b_string const &lhs, b_string const &rhs)
| free function comparator for b_string
bool | operator!= (b_symbol const &lhs, b_symbol const &rhs)
| free function comparator for b_symbol
bool | operator!= (b_timestamp const &lhs, b_timestamp const &rhs)
| free function comparator for b_timestamp
bool | operator!= (b_undefined const &lhs, b_undefined const &rhs)
| free function comparator for b_undefined
bool | operator== (b_array const &lhs, b_array const &rhs)
| free function comparator for b_array
bool | operator== (b_binary const &lhs, b_binary const &rhs)
| free function comparator for b_binary
bool | operator== (b_bool const &lhs, b_bool const &rhs)
| free function comparator for b_bool
bool | operator== (b_code const &lhs, b_code const &rhs)
| free function comparator for b_code
bool | operator== (b_codewscope const &lhs, b_codewscope const &rhs)
| free function comparator for b_codewscope
bool | operator== (b_date const &lhs, b_date const &rhs)
| free function comparator for b_date
bool | operator== (b_dbpointer const &lhs, b_dbpointer const &rhs)
| free function comparator for b_dbpointer
bool | operator== (b_decimal128 const &lhs, b_decimal128 const &rhs)
| free function comparator for b_decimal128
bool | operator== (b_document const &lhs, b_document const &rhs)
| free function comparator for b_document
bool | operator== (b_double const &lhs, b_double const &rhs)
| free function comparator for b_double
bool | operator== (b_int32 const &lhs, b_int32 const &rhs)
| free function comparator for b_int32
bool | operator== (b_int64 const &lhs, b_int64 const &rhs)
| free function comparator for b_int64
bool | operator== (b_maxkey const &, b_maxkey const &)
| free function comparator for b_maxkey
bool | operator== (b_minkey const &, b_minkey const &)
| free function comparator for b_minkey
bool | operator== (b_null const &, b_null const &)
| free function comparator for b_null
bool | operator== (b_oid const &lhs, b_oid const &rhs)
| free function comparator for b_oid
bool | operator== (b_regex const &lhs, b_regex const &rhs)
| free function comparator for b_regex
bool | operator== (b_string const &lhs, b_string const &rhs)
| free function comparator for b_string
bool | operator== (b_symbol const &lhs, b_symbol const &rhs)
| free function comparator for b_symbol
bool | operator== (b_timestamp const &lhs, b_timestamp const &rhs)
| free function comparator for b_timestamp
bool | operator== (b_undefined const &, b_undefined const &)
| free function comparator for b_undefined
bool | operator== (b_array const &lhs, b_array const &rhs)
| free function comparator for b_array
bool | operator== (b_binary const &lhs, b_binary const &rhs)
| free function comparator for b_binary
bool | operator== (b_bool const &lhs, b_bool const &rhs)
| free function comparator for b_bool
bool | operator== (b_code const &lhs, b_code const &rhs)
| free function comparator for b_code
bool | operator== (b_codewscope const &lhs, b_codewscope const &rhs)
| free function comparator for b_codewscope
bool | operator== (b_date const &lhs, b_date const &rhs)
| free function comparator for b_date
bool | operator== (b_dbpointer const &lhs, b_dbpointer const &rhs)
| free function comparator for b_dbpointer
bool | operator== (b_decimal128 const &lhs, b_decimal128 const &rhs)
| free function comparator for b_decimal128
bool | operator== (b_document const &lhs, b_document const &rhs)
| free function comparator for b_document
bool | operator== (b_double const &lhs, b_double const &rhs)
| free function comparator for b_double
bool | operator== (b_int32 const &lhs, b_int32 const &rhs)
| free function comparator for b_int32
bool | operator== (b_int64 const &lhs, b_int64 const &rhs)
| free function comparator for b_int64
bool | operator== (b_maxkey const &, b_maxkey const &)
| free function comparator for b_maxkey
bool | operator== (b_minkey const &, b_minkey const &)
| free function comparator for b_minkey
bool | operator== (b_null const &, b_null const &)
| free function comparator for b_null
bool | operator== (b_oid const &lhs, b_oid const &rhs)
| free function comparator for b_oid
bool | operator== (b_regex const &lhs, b_regex const &rhs)
| free function comparator for b_regex
bool | operator== (b_string const &lhs, b_string const &rhs)
| free function comparator for b_string
bool | operator== (b_symbol const &lhs, b_symbol const &rhs)
| free function comparator for b_symbol
bool | operator== (b_timestamp const &lhs, b_timestamp const &rhs)
| free function comparator for b_timestamp
bool | operator== (b_undefined const &, b_undefined const &)
| free function comparator for b_undefined

## Typedef Documentation

## binary_subtype

using bsoncxx::v_noabi::types::binary_subtype = v_noabi::binary_sub_type

Equivalent to bsoncxx::v_noabi::binary_sub_type.

To support incremental migration to bsoncxx::v1::types::binary_subtype.

## id

using bsoncxx::v_noabi::types::id = v_noabi::type

Equivalent to bsoncxx::v_noabi::type.

To support incremental migration to bsoncxx::v1::types::id.

## value

using bsoncxx::v_noabi::types::value = bson_value::value

Equivalent to bsoncxx::v_noabi::types::bson_value::value.

To support incremental migration to bsoncxx::v1::types::value.

## view

using bsoncxx::v_noabi::types::view = v_noabi::types::bson_value::view

Equivalent to bsoncxx::v_noabi::types::bson_value::view.

To support incremental migration to bsoncxx::v1::types::view.

## Function Documentation

## operator!=() [1/42]

bool operator!= | ( | b_array const & | lhs,
|  | b_array const & | rhs )

inline

free function comparator for b_array

## operator!=() [2/42]

bool operator!= | ( | b_binary const & | lhs,
|  | b_binary const & | rhs )

inline

free function comparator for b_binary

## operator!=() [3/42]

bool operator!= | ( | b_bool const & | lhs,
|  | b_bool const & | rhs )

inline

free function comparator for b_bool

## operator!=() [4/42]

bool operator!= | ( | b_code const & | lhs,
|  | b_code const & | rhs )

inline

free function comparator for b_code

## operator!=() [5/42]

bool operator!= | ( | b_codewscope const & | lhs,
|  | b_codewscope const & | rhs )

inline

free function comparator for b_codewscope

## operator!=() [6/42]

bool operator!= | ( | b_date const & | lhs,
|  | b_date const & | rhs )

inline

free function comparator for b_date

## operator!=() [7/42]

bool operator!= | ( | b_dbpointer const & | lhs,
|  | b_dbpointer const & | rhs )

inline

free function comparator for b_dbpointer

## operator!=() [8/42]

bool operator!= | ( | b_decimal128 const & | lhs,
|  | b_decimal128 const & | rhs )

inline

free function comparator for b_decimal128

## operator!=() [9/42]

bool operator!= | ( | b_document const & | lhs,
|  | b_document const & | rhs )

inline

free function comparator for b_document

## operator!=() [10/42]

bool operator!= | ( | b_double const & | lhs,
|  | b_double const & | rhs )

inline

free function comparator for b_double

## operator!=() [11/42]

bool operator!= | ( | b_int32 const & | lhs,
|  | b_int32 const & | rhs )

inline

free function comparator for b_int32

## operator!=() [12/42]

bool operator!= | ( | b_int64 const & | lhs,
|  | b_int64 const & | rhs )

inline

free function comparator for b_int64

## operator!=() [13/42]

bool operator!= | ( | b_maxkey const & | lhs,
|  | b_maxkey const & | rhs )

inline

free function comparator for b_maxkey

## operator!=() [14/42]

bool operator!= | ( | b_minkey const & | lhs,
|  | b_minkey const & | rhs )

inline

free function comparator for b_minkey

## operator!=() [15/42]

bool operator!= | ( | b_null const & | lhs,
|  | b_null const & | rhs )

inline

free function comparator for b_null

## operator!=() [16/42]

bool operator!= | ( | b_oid const & | lhs,
|  | b_oid const & | rhs )

inline

free function comparator for b_oid

## operator!=() [17/42]

bool operator!= | ( | b_regex const & | lhs,
|  | b_regex const & | rhs )

inline

free function comparator for b_regex

## operator!=() [18/42]

bool operator!= | ( | b_string const & | lhs,
|  | b_string const & | rhs )

inline

free function comparator for b_string

## operator!=() [19/42]

bool operator!= | ( | b_symbol const & | lhs,
|  | b_symbol const & | rhs )

inline

free function comparator for b_symbol

## operator!=() [20/42]

bool operator!= | ( | b_timestamp const & | lhs,
|  | b_timestamp const & | rhs )

inline

free function comparator for b_timestamp

## operator!=() [21/42]

bool operator!= | ( | b_undefined const & | lhs,
|  | b_undefined const & | rhs )

inline

free function comparator for b_undefined

## operator==() [1/42]

bool operator== | ( | b_array const & | lhs,
|  | b_array const & | rhs )

inline

free function comparator for b_array

## operator==() [2/42]

bool operator== | ( | b_binary const & | lhs,
|  | b_binary const & | rhs )

inline

free function comparator for b_binary

## operator==() [3/42]

bool operator== | ( | b_bool const & | lhs,
|  | b_bool const & | rhs )

inline

free function comparator for b_bool

## operator==() [4/42]

bool operator== | ( | b_code const & | lhs,
|  | b_code const & | rhs )

inline

free function comparator for b_code

## operator==() [5/42]

bool operator== | ( | b_codewscope const & | lhs,
|  | b_codewscope const & | rhs )

inline

free function comparator for b_codewscope

## operator==() [6/42]

bool operator== | ( | b_date const & | lhs,
|  | b_date const & | rhs )

inline

free function comparator for b_date

## operator==() [7/42]

bool operator== | ( | b_dbpointer const & | lhs,
|  | b_dbpointer const & | rhs )

inline

free function comparator for b_dbpointer

## operator==() [8/42]

bool operator== | ( | b_decimal128 const & | lhs,
|  | b_decimal128 const & | rhs )

inline

free function comparator for b_decimal128

## operator==() [9/42]

bool operator== | ( | b_document const & | lhs,
|  | b_document const & | rhs )

inline

free function comparator for b_document

## operator==() [10/42]

bool operator== | ( | b_double const & | lhs,
|  | b_double const & | rhs )

inline

free function comparator for b_double

## operator==() [11/42]

bool operator== | ( | b_int32 const & | lhs,
|  | b_int32 const & | rhs )

inline

free function comparator for b_int32

## operator==() [12/42]

bool operator== | ( | b_int64 const & | lhs,
|  | b_int64 const & | rhs )

inline

free function comparator for b_int64

## operator==() [13/42]

bool operator== | ( | b_maxkey const & | ,
|  | b_maxkey const & | )

inline

free function comparator for b_maxkey

## operator==() [14/42]

bool operator== | ( | b_minkey const & | ,
|  | b_minkey const & | )

inline

free function comparator for b_minkey

## operator==() [15/42]

bool operator== | ( | b_null const & | ,
|  | b_null const & | )

inline

free function comparator for b_null

## operator==() [16/42]

bool operator== | ( | b_oid const & | lhs,
|  | b_oid const & | rhs )

inline

free function comparator for b_oid

## operator==() [17/42]

bool operator== | ( | b_regex const & | lhs,
|  | b_regex const & | rhs )

inline

free function comparator for b_regex

## operator==() [18/42]

bool operator== | ( | b_string const & | lhs,
|  | b_string const & | rhs )

inline

free function comparator for b_string

## operator==() [19/42]

bool operator== | ( | b_symbol const & | lhs,
|  | b_symbol const & | rhs )

inline

free function comparator for b_symbol

## operator==() [20/42]

bool operator== | ( | b_timestamp const & | lhs,
|  | b_timestamp const & | rhs )

inline

free function comparator for b_timestamp

## operator==() [21/42]

bool operator== | ( | b_undefined const & | ,
|  | b_undefined const & | )

inline

free function comparator for b_undefined